#include <iostream>
#include <string>
#include <cstdlib>
using namespace std;
#include "Studente.h"
#include "Persona.h"


Studente::Studente(string n, string c, string mat, int gg, int mm, int aa): Persona(n,c,gg,mm,aa)
{
   if (checkMatricola(mat))
      matricola=mat;
   else
   {
      cout << "ERRORE: MATRICOLA NON VALIDA" << endl;
      matricola="0000000";  
   }

   
}

Studente::~Studente()
{}

            
void Studente::stampa() const 
   {
     cout << "STAMPA ANAGRAFICA STUDENTE" << '\n' << endl;
     Persona::stampa();
     cout << "Matricola: " << matricola << endl;
   }

bool Studente::checkMatricola(string mat2check)  
   {
     int lungh=mat2check.size();
     char init = mat2check.at(0);
     cout << "lunghezza matricola: " << lungh;
     bool ok = (lungh==MAX_MAT && (init =='A' || init =='B'));
     int i=1;
     while (ok && i<lungh)
     {
         ok=('0'<=mat2check[i] && mat2check[i]<='9');
         i++;
     }
     return ok;
   }

bool Studente::trasferito()  
   {
     
     return (matricola[0] == 'B');
   }
